#
# spec file for package mopd-linux (Version 2.5.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mopd-linux
Copyright:    BSD
Group:        Networking/Daemons
Summary:      DECnet boot protocol daemon
Version:      2.5.3
Release:      112
Source0:      mopd-linux-2.5.3.tar.bz2
Patch:		mopd-linux.diff

%description
MOP is the DECnet network boot protocol used for booting Compaq
(former Digital Equipment) VAX and Alpha machines via ethernet.
This package contains a daemon and tools for using SuSE Linux
as a DECnet boot server.

Authors:
--------
    Mats O Jansson <moj@stacken.kth.se>
    Karl Maftoum <u963870@student.canberra.edu.au>

SuSE series: n

%prep
%setup -n mopd-linux
patch -p1 < $RPM_SOURCE_DIR/mopd-linux.diff

%build
(cd mopchk; make)
(cd mopd; make)
(cd mopprobe; make)
(cd moptrace; make)

%install
cd mopchk
install -c mopchk /usr/sbin
install -c mopchk.1 /usr/share/man/man1
cd ..
cd mopd
install -c mopd /usr/sbin
install -c mopd.8 /usr/share/man/man8
cd ..
cd mopprobe
install -c mopprobe /usr/sbin
install -c mopprobe.1 /usr/share/man/man1
cd ..
cd moptrace
install -c moptrace /usr/sbin
install -c moptrace.1 /usr/share/man/man1
cd ..

%files
%doc READ_THIS_FIRST
%{_mandir}/man1/mopchk.1.gz
/usr/sbin/mopchk
%{_mandir}/man8/mopd.8.gz
/usr/sbin/mopd
%{_mandir}/man1/mopprobe.1.gz
/usr/sbin/mopprobe
%{_mandir}/man1/moptrace.1.gz
/usr/sbin/moptrace

%changelog -n mopd-linux
* Fri May 18 2001 - kkaempf@suse.de
- fix compiler warnings
* Wed Dec 06 2000 - kkaempf@suse.de
- fix neededforbuild
* Fri Nov 24 2000 - kkaempf@suse.de
- initial
